EYE(1)

NAME
eye - Euler Yet another proof Engine (EYE) semantic web reasoning engine

SYNOPSIS
eye <options>* <data>* <query>*

DESCRIPTION
<options>

--analytic-proof
    proofs contain component lemmas

--csv-separator <separator>
    CSV separator such as , or ;

--debug
    output debug info on stderr

--debug-cnt
    output debug info about counters on stderr

--debug-djiti
    output debug info about DJITI on stderr

--debug-implies
    output debug info about implies on stderr

--debug-pvm
    output debug info about PVM code on stderr

--help
    show help info

--hmac-key <key>
    HMAC key used in e:hmac-sha built-in

--ignore-inference-fuse
    do not halt in case of inference fuse

--image <pvm-file>
    output all <data> and all code to <pvm-file>

--intermediate <n3p-file>
    output all <data> to <n3p-file>

--license
    show license info

--max-inferences <nr>
    halt after maximum number of inferences

--no-call-residue-vars
    no check for residue vars for forward rules

--no-distinct-input
    no distinct triples in the input

--no-distinct-output
    no distinct answers in the output

--no-numerals
    no numerals in the output

--no-qnames
    no qnames in the output

--no-qvars
    no qvars in the output

--no-ucall
    no extended unifier for forward rules

--nope
    no proof explanation

--output <file>
    write reasoner output to <file>

--profile
    output profile info on stderr

--quantify <prefix>
    quantify uris with <prefix> in the output

--quiet
    quiet mode

--random-seed
    create random seed for e:random built-in

--rdf-list-output
    output lists as RDF lists

--rdf-trig-output
    output as RDF TriG data

--restricted
    restricting to core built-ins

--rule-histogram
    output rule histogram info on stderr

--skolem-genid <genid>
    use <genid> in Skolem IRIs

--source <file>
    read command line arguments from <file>

--statistics
    output statistics info on stderr

--strings
    output log:outputString objects on stdout

--tactic limited-answer <nr>
    give only a limited number of answers

--tactic linear-select
    select each rule only once

--version
    show version info

--warn
    output warning info on stderr

--wcache <uri> <file>
    to tell that <uri> is cached as <file>

<data>

--n3 <uri>
    N3 triples and rules

--n3p <uri>
    N3P intermediate

--prolog <uri>
    Prolog facts and rules

--proof <uri>
    N3 proof lemmas

--sparql-backward <uri>
    SPARQL CONSTRUCT WHERE backward rules

--sparql-forward <uri>
    SPARQL CONSTRUCT WHERE forward rules

--trig <uri>
    TriG data

--turtle <uri>
    Turtle triples

<query>

--entail <rdf-graph>
    output true if RDF graph is entailed

--not-entail <rdf-graph>
    output true if RDF graph is not entailed

--pass
    output deductive closure

--pass-all
    output deductive closure plus rules

--pass-all-ground
    ground the rules and run --pass-all

--pass-merged
    output merged data without deductive closure

--pass-only-new
    output only new derived triples and rules

--query <query>
    output filtered with filter rules

--sparql-query <query>
    output answer of sparql query